using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.Menus
{
    public interface IMenusRepository : IRepository
    {
        Task<int> InsertAsync(Entity.Menus.Menus model);

        Task<bool> UpdateAsync(Entity.Menus.Menus model);

        Task<bool> DeleteAsync(int id);

          Task<IEnumerable<Entity.Menus.Menus>> GetAllAsync();

          Task<IEnumerable<Entity.Menus.Menus>> GetAllAsync(List<int> menusIds);

          Task<IEnumerable<Entity.Menus.Menus>> GetAllMenusAsync(List<int> menusIds);
    }
}